/*  BotikBalance - User's account balance informer for Botik Network 
 *                 for Windows 9x/ME/NT/2000/XP/2003
 *  Copyright (C) 2005 Alexander V. Melnikoff
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public Licensse as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/* Sorry for the long lines in the sources, I have wide screen... ;-)
 */

#ifndef __WINDOW_H__
#define __WINDOW_H__

#include <notifyicon.h>

class CWindow
{
public:
	CWindow();
	~CWindow();

public:
//	static ATOM RegisterClass();
	virtual BOOL Create(HWND hWndPrn_);
	virtual BOOL Destroy();
	VOID Show(DWORD dwShow_);
	HWND GetHWnd() CONST;
	VOID MoveTo(CONST LONG lX_, CONST LONG lY_, BOOL fRepaint_ = TRUE);
	VOID MoveTo(CONST LPRECT pRc_, BOOL fRepaint_ = TRUE);
	VOID MoveTo(CONST LONG lX_, CONST LONG lY_, CONST LONG lW_, CONST LONG lH_, BOOL fRepaint_ = TRUE);
	virtual LRESULT WndProc(HWND, UINT, WPARAM, LPARAM) = 0;

protected:
	HWND	m_hWnd;
};

#endif // __WINDOW_H__